# std::unordered_map::rehash

From cppreference.com
< cpp‎ | container‎ | unordered map

void rehash( size_type count ); |  | (since C++11)

Sets the number of buckets to `count` and rehashes the container, i.e. puts the elements into appropriate buckets considering that total number of buckets has changed. If the new number of buckets makes load factor more than maximum load factor (count < size() / max_load_factor()), then the new number of buckets is at least size() / max_load_factor().

### Parameters

count | - | new number of buckets

### Return value

(none)

### Complexity

Average case linear in the size of the container, worst case quadratic.

### Notes

`rehash(0)` may be used to force an unconditional rehash, such as after suspension of automatic rehashing by temporarily increasing max_load_factor().

### See also

reserve | reserves space for at least the specified number of elements. This regenerates the hash table. (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_map/rehash&oldid=50703"